//到时分秒的日期格式化
exports.dateFormat = (dateText) => {
    let _func = function (number, length) {
      length = length || 2;
      return ("0".repeat(length) + number).substr(-length);
    };
    if (dateText == null) return "";
    let date = new Date(dateText);
    return (
      date.getFullYear() +
      "-" +
      _func(date.getMonth() + 1) +
      "-" +
      _func(date.getDate()) +
      " " +
      _func(date.getHours()) +
      ":" +
      _func(date.getMinutes())
    );
  },
  //日期格式化自定义
  exports.Format = (dateText, fmt) => {
    //author: meizz
    if (dateText == null) return "";
    let date = new Date(dateText);
    var o = {
      "M+": date.getMonth() + 1, //月份
      "d+": date.getDate(), //日
      "h+": date.getHours(), //小时
      "m+": date.getMinutes(), //分
      "s+": date.getSeconds(), //秒
      "q+": Math.floor((date.getMonth() + 3) / 3), //季度
      S: date.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt))
      fmt = fmt.replace(
        RegExp.$1,
        (date.getFullYear() + "").substr(4 - RegExp.$1.length)
      );
    for (var k in o)
      if (new RegExp("(" + k + ")").test(fmt))
        fmt = fmt.replace(
          RegExp.$1,
          RegExp.$1.length == 1 ?
          o[k] :
          ("00" + o[k]).substr(("" + o[k]).length)
        );
    return fmt;
  },
  //金额格式化
  exports.MoneyFormat = (s, n) => {
    if (s < 0) {
      n = n > 0 && n <= 20 ? n : 2;
      s = 0 - s;
      s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
      var l = s
        .split(".")[0]
        .split("")
        .reverse(),
        r = s.split(".")[1],
        t = "";
      for (var i = 0; i < l.length; i++) {
        t += l[i] + ((i + 1) % 3 === 0 && i + 1 != l.length ? "," : "");
      }
      return (
        "-" +
        t
        .split("")
        .reverse()
        .join("") +
        "." +
        r
      );
    } else {
      n = n > 0 && n <= 20 ? n : 2;
      s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
      var l = s
        .split(".")[0]
        .split("")
        .reverse(),
        r = s.split(".")[1],
        t = "";
      for (var i = 0; i < l.length; i++) {
        t += l[i] + ((i + 1) % 3 === 0 && i + 1 != l.length ? "," : "");
      }
      return (
        t
        .split("")
        .reverse()
        .join("") +
        "." +
        r
      );
    }
  },
  //金额以万为单位
  exports.MoneyToChineseTail = (number) => {
    return (number / 10000).toFixed(2) + '万';
  }
