export function websql() {
    function dataBaseCRUD() {
      var dataBase = openDatabase(
        "schoo",
        "1.0.0",
        "学校数据库",
        1024 * 1024 * 2
      );
      /**
       * （1）openDatabase方法打开一个已经存在的数据库，如果数据库不存在，它还可以创建数据库。几个参数意义分别是：
       *     1，数据库名称。
       *     2，数据库的版本号，目前来说传个1.0就可以了，当然可以不填；
       *     3，对数据库的描述。
       *     4，设置分配的数据库的大小（单位是kb）。
       *     5，回调函数(可省略)。
       */
      if (!dataBase) {
        console.info("当前浏览器不支持Html5本地数据库");
        return false;
      } else {
        dataBase.transaction(function(ts) {
          //启动一个事务，并设置回调函数
          ts.executeSql(
            "create table if not exists Student(id int,name text null,age int,sex text null)",
            [],
            function(ts, result) {
              console.info("创建数据库成功" + result);
            },
            function(ts, message) {
              console.info("创建数据库失败", message);
            }
          );
        });

        dataBase.transaction(function(ts) {
          ts.executeSql(
            "insert into Student(id,name,age,sex) values(?,?,?,?) ",
            [1, "小1", 21, "男"],
            function(ts, result) {
              console.info("插入数据成功！" + result);
            },
            function(ts, message) {
              console.info("插入数据失败！" + message);
            }
          );
        });

        dataBase.transaction(function(ts) {
          ts.executeSql(
            "insert into Student(id,name,age,sex) values(?,?,?,?) ",
            [2, "小红", 20, "女"],
            function(ts, result) {
              console.info("插入数据成功！" + result);
            },
            function(ts, message) {
              console.info("插入数据失败！" + message);
            }
          );
        });

        dataBase.transaction(function(ts) {
          ts.executeSql(
            "update Student set name = ? where id = ? ",
            ["小红s", 2],
            function(ts, result) {
              console.info("更新数据成功！" + result);
            },
            function(ts, message) {
              console.info("更新数据失败！" + message);
            }
          );
        });

        dataBase.transaction(function(ts) {
          ts.executeSql(
            "delete from Student where id = ? ",
            [2],
            function(ts, result) {
              console.info("删除数据成功！" + result);
            },
            function(ts, message) {
              console.info("删除数据失败！" + message);
            }
          );
        });

        dataBase.transaction(function(ts) {
          ts.executeSql(
            "select * from Student ",
            [],
            function(ts, result) {
              if (result) {
                for (var i = 0; i < result.rows.length; i++) {
                  console.info(result.rows.item(i));
                }
              }
              console.info("查询数据成功！");
            },
            function(ts, message) {
              console.info("查询数据失败！" + message);
            }
          );
        });
      }
      /**
       * （2）db.transaction方法可以设置一个回调函数，此函数可以接受一个参数就是我们开启的事务的对象。然后通过此对象可以进行执行Sql脚本，跟下面的步骤可以结合起来。
       * （3）通过executeSql方法执行查询。
       *      ts.executeSql(sqlQuery,[value1,value2..],dataHandler,errorHandler)
       *      参数说明：
       *      1，sqlQuery：需要具体执行的sql语句，可以是create、select、update、delete；
       *      2，[value1,value2..]：sql语句中所有使用到的参数的数组，在executeSql方法中，将s>语句中所要使用的参数先用“?”代替，然后依次将这些参数组成数组放在第二个参数中
       *      3，dataHandler：执行成功是调用的回调函数，通过该函数可以获得查询结果集；
       *      4，errorHandler：执行失败时调用的回调函数；
       *
       */
    }

    dataBaseCRUD();

    //根据学号删除学生信息
  }